Bug 223512 - net/xrdp-devel: Update to 0.9.4
Summary: net/xrdp-devel: Update to 0.9.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Luca Pizzamiglio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-08 07:33 UTC by Koichiro Iwao
Modified: 2017-11-15 10:29 UTC (History)
2 users (show)

See Also:
pizzamig: maintainer-feedback? (meta)


Attachments
patch (12.41 KB, text/plain)
2017-11-08 07:33 UTC, Koichiro Iwao
no flags Details
build failure log (102.78 KB, text/x-log)
2017-11-14 10:08 UTC, Luca Pizzamiglio
no flags Details
patch (14.96 KB, patch)
2017-11-14 11:39 UTC, Koichiro Iwao
no flags Details | Diff
patch (12.78 KB, patch)
2017-11-14 11:45 UTC, Koichiro Iwao
no flags Details | Diff
patch (13.31 KB, text/plain)
2017-11-14 12:52 UTC, Koichiro Iwao
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Koichiro Iwao freebsd_committer 2017-11-08 07:33:21 UTC
Created attachment 187842 [details]
patch

Poudriere build passed for me.
This port backports some patches from upstream to fix upstream issue 730 and 910.

Release note: https://github.com/neutrinolabs/xrdp/releases/tag/v0.9.4
Comment 1 Luca Pizzamiglio freebsd_committer 2017-11-14 10:08:04 UTC
Created attachment 187988 [details]
build failure log

The build fails on all supported FreeBSD versions.
The build log is attached.

It looks to me that the patch-issue-730 is the problem (the missing symbol is used there).
Comment 2 Koichiro Iwao freebsd_committer 2017-11-14 11:39:27 UTC
Created attachment 187989 [details]
patch

I've updated patch-issue-730.
Comment 3 Koichiro Iwao freebsd_committer 2017-11-14 11:45:37 UTC
Created attachment 187990 [details]
patch

The previous pach was invalid. Fixed patch again.
It passed certainly poudriere build.
Comment 4 Luca Pizzamiglio freebsd_committer 2017-11-14 11:57:45 UTC
The current patch is still invalid, it just deletes files like Makefile and distinfo.
Comment 5 Koichiro Iwao freebsd_committer 2017-11-14 12:52:48 UTC
Created attachment 187992 [details]
patch

Oops, sorry. Patch again.
Comment 6 commit-hook freebsd_committer 2017-11-15 10:16:34 UTC
A commit references this bug:

Author: pizzamig
Date: Wed Nov 15 10:16:18 UTC 2017
New revision: 454230
URL: https://svnweb.freebsd.org/changeset/ports/454230

Log:
  net/xrdp-devel: Update to 0.9.4

  PR:		223512
  Submitted by:	meta+ports@vmeta.jp (maintainer)
  Approved by:	olivier (mentor)
  Differential Revision:	https://reviews.freebsd.org/D13097

Changes:
  head/net/xrdp-devel/Makefile
  head/net/xrdp-devel/distinfo
  head/net/xrdp-devel/files/patch-configure.ac
  head/net/xrdp-devel/files/patch-issue-730
  head/net/xrdp-devel/files/patch-issue-910
Comment 7 Luca Pizzamiglio freebsd_committer 2017-11-15 10:29:04 UTC
Committed. Thanks!

I have a couple of hints:
* I suggest you to use ports-mgmt/portlint to verify the port before to submit the patch (I changed a blank with a tab, it was just a warning). It's no mandatory, but it's really a useful tool.
* in this PR I used the maintainer-feeback flag (set to ?) to request your feedback. When the maintainer reply, he/she should set the flag to '+' , to avoid maintainer timeout.

Thanks again for you contribution